Subject: [v6ops] Re: Question about ULAs in draft-ietf-v6ops-cpe-lan-pd
From: Brian E Carpenter <[email-masked]>
To: Lorenzo Colitti <[email-masked]>, "[email-masked] WG" <[email-masked]>
Date: Sat, 9 Nov 2024 08:48:21 +1300
List-Id: v6ops discussion list <v6ops.ietf.org>

A comment right at the end:
On 09-Nov-24 03:09, Lorenzo Colitti wrote:
> Repeating my comment at the mike. The new text says:
> 
> ====
> LPD-8: If the CE Router is configured to generate a ULA prefix as defined in ULA-1 of [RFC7084] after LAN link prefix assignment of the ULA prefixes the IPv6 CE Router MUST make the remaining IPv6 prefixes available to other routers via Prefix Delegation.
> ====
> 
> Could this MUST cause CPE implementers to make the ULA prefixes available via PD, but not GUA prefixes? That seems bad. We should make it clear that CPEs must not do this.
> 
> Further: per discussion, it sounds like common PD clients do not support receiving multiple prefixes from the upstream (e.g., only implement the first one). Should we say something about this? Something like:
> 
> =====
> When the IPv6 CE Router delegates both GUA and ULA prefixes to downstream clients, the GUA prefix MUST appear first in the packet.
> 
> When an IPv6 CE Router receives both one or more GUA and one or more ULA prefixes in a prefix delegation, and it can only support a limited number of prefixes, it MUST prefer the GUA prefixes over GUA prefixes.
> ======
> 
> The second sentence is probably more appropriate for 7084bis than for cpe-lan-pd.
> 

I think you meant "it MUST prefer the GUA prefixes over ULA prefixes" in the second sentence. But apart from that, I'm not sure it's correct. If a router receives (say) two GUA prefixs and two ULA prefixes, there might be scenarios where the best operational result would be to use one of each. We just can't know in the abstract. I think I'd be OK with a SHOULD, to cover all cases.

     Brian